summaryrefslogtreecommitdiff
path: root/.github/workflows/archlinux.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/archlinux.sh')
-rwxr-xr-x.github/workflows/archlinux.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
new file mode 100755
index 00000000..f9e3cfab
--- /dev/null
+++ b/.github/workflows/archlinux.sh
@@ -0,0 +1,52 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Archlinux
+requires=(
+ ccache # Use ccache to speed up build
+ clang # Build with clang on Archlinux
+)
+
+# https://gitlab.archlinux.org/archlinux/packaging/packages/mate-applets
+requires+=(
+ autoconf-archive
+ cpupower
+ dbus-glib
+ gcc
+ git
+ glib2-devel
+ gtksourceview4
+ gucharmap
+ intltool
+ itstool
+ json-glib
+ libgtop
+ libnl
+ libnotify
+ libsoup3
+ make
+ mate-common
+ mate-panel
+ polkit
+ upower
+ which
+ wireless_tools
+ yelp-tools
+)
+
+infobegin "Update system"
+pacman --noconfirm -Syu
+infoend
+
+infobegin "Install dependency packages"
+pacman --noconfirm -S ${requires[@]}
+infoend